#48 64 bit Mac version does not work

Version_1.3.0
closed-fixed
nobody
None
7
2013-03-21
2012-07-26
msrocka
No

Possible solution: http://stackoverflow.com/questions/3976342/running-swt-based-cross-platform-jar-properly-on-a-mac

Error log:

Log-level=INFO
0 [main] INFO org.openlca - Log-level=INFO
***WARNING: Display must be created on main thread due to Cocoa restrictions.
***WARNING: Display must be created on main thread due to Cocoa restrictions.
***WARNING: Display must be created on main thread due to Cocoa restrictions.
***WARNING: Display must be created on main thread due to Cocoa restrictions.
An error has occurred. See the log file

!SESSION 2012-07-20 13:10:51.596 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_33
java.vendor=Apple Inc.
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US

!ENTRY org.eclipse.osgi 4 0 2012-07-20 13:10:53.669
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTException: Invalid thread access
at org.eclipse.swt.SWT.error(SWT.java:4083)
at org.eclipse.swt.SWT.error(SWT.java:3998)
at org.eclipse.swt.SWT.error(SWT.java:3969)
at org.eclipse.swt.widgets.Display.error(Display.java:1030)
at org.eclipse.swt.widgets.Display.createDisplay(Display.java:797)
at org.eclipse.swt.widgets.Display.create(Display.java:780)
at org.eclipse.swt.graphics.Device.<init>(Device.java:130)
at org.eclipse.swt.widgets.Display.<init>(Display.java:671)
at org.eclipse.swt.widgets.Display.<init>(Display.java:662)
at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:708)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
at org.openlca.core.application.plugin.Application.start(Unknown Source)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:620)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:575)
at org.eclipse.equinox.launcher.Main.run(Main.java:1408)
at org.eclipse.equinox.launcher.Main.main(Main.java:1384)
!SESSION 2012-07-20 13:14:42.622 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_33
java.vendor=Apple Inc.
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US

Discussion

  • Daniel Savi
    Daniel Savi
    2013-03-20

    We are running 1.2.9 64bit on Mac and cannot confirm this bug

     
  • msrocka
    msrocka
    2013-03-21

    Thank you for testing this!

    I will close this issue. However, with openLCA 1.3.0 we will switch to Java 7. Where this seems to be no problem for Linux and Windows as we can embed Java into the binaries, it may become an issue on Mac OS X again. There is only a 64 bit version of Java 7 available for Mac OS X and as far as we tested the user has to even install the JDK (http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html) in order to run openLCA. We will check this in more detail.

     
  • msrocka
    msrocka
    2013-03-21

    • status: open --> closed-fixed
    • milestone: --> Version_1.3.0